<?php
/**
 * Plugin Name: Wbcom Designs - Birthday Widget for BuddyPress
 * Plugin URI: https://wbcomdesigns.com/downloads/buddypress-birthdays/
 * Description: Display upcoming birthdays
 * Version: 1.7.0
 * Author: Wbcom Designs
 * Author URI: https://wbcomdesigns.com/
 * Text Domain: buddypress-birthdays
 * Generated By: http://ensuredomains.com
 *
 * @link              https://wbcomdesigns.com/contact/
 * @since             1.0.0
 * @package           BP_Birthdays
 */

// If this file is called directly, abort.

define( 'BIRTHDAY_WIDGET_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'BIRTHDAY_WIDGET_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );


if ( ! defined( 'WPINC' ) ) {
	die;
} // end if

// Let's Initialize Everything.
if ( file_exists( plugin_dir_path( __FILE__ ) . 'core-init.php' ) ) {
	require_once plugin_dir_path( __FILE__ ) . 'core-init.php';
}


/**
 * Check BuddyPress is not activated.
 */
function bb_check_bp_active() {
	if ( ! class_exists( 'BuddyPress' ) ) {
		add_action( 'admin_notices', 'bb_dependent_plugin_notice' );
		deactivate_plugins( plugin_basename( __FILE__ ) );
	}
}
add_action( 'admin_init', 'bb_check_bp_active' );

/**
 * Display dependent plugin admin notice.
 */
function bb_dependent_plugin_notice() {
	$bb_plugin = esc_html( 'Wbcom Designs - Birthday Widget for BuddyPress' );
	$bp_plugin = esc_html( 'BuddyPress' );

	echo '<div class="error"><p>'
	/* translators: %1$s: Wbcom Designs - Birthday Widget for BuddyPress, %2$s: BuddyPress */
	. sprintf( esc_html__( '%1$s is ineffective as it requires %2$s to be installed and active.', 'buddypress-birthdays' ), '<strong>' . esc_attr( $bb_plugin ) . '</strong>', '<strong>' . esc_attr( $bp_plugin ) . '</strong>' )
	. '</p></div>';
	if ( null !== filter_input( INPUT_GET, 'activate' ) ) {
		$activate = filter_input( INPUT_GET, 'activate' );
		unset( $activate );
	}

}
